<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Marker Animations</title>
    <style>
      html, body {
        height: 100%;
        margin: 0;
        padding: 0;
      }
      #map {
        height: 100%;
      }
    </style>
  </head>
  <body>
    <div id="map" style="width: 1000px; height: 400px;"></div>
 	<div id="lat_lng">
	<input type="text" id="lat" value=""/>
	<input type="text" id="lng" value=""/>
	<input type="text" id="lat1" value=""/>
	<input type="text" id="lng1" value=""/>
	</div>
    <script>

// The following example creates a marker in Stockholm, Sweden using a DROP
// animation. Clicking on the marker will toggle the animation between a BOUNCE
// animation and no animation.


var marker;
var marker1;
document.getElementById("lat").value = '12.97';
document.getElementById("lng").value = '77.59';
document.getElementById("lat1").value = '12.99542';
document.getElementById("lng1").value = '77.67239';
function initMap() {
var bangalore = { lat: 12.97, lng: 77.59 };
var endPoint = { lat: 12.995425549025715, lng: 77.67239746093753 };

  var map = new google.maps.Map(document.getElementById('map'), {
    zoom: 13,
    center: bangalore
  });

  marker = new google.maps.Marker({
    map: map,
    draggable: true,
    title:'start point',
    label: 'A',
    position: bangalore
  });

marker1 = new google.maps.Marker({
    map: map,
    draggable: true,
    title:'End point',
    label: 'B',
    position: endPoint
  });
google.maps.event.addListener(marker, 'dragend', function (event) {
    document.getElementById("lat").value = this.getPosition().lat();
    document.getElementById("lng").value = this.getPosition().lng();
});

google.maps.event.addListener(marker1, 'dragend', function (event) {
    document.getElementById("lat1").value = this.getPosition().lat();
    document.getElementById("lng1").value = this.getPosition().lng();
});

}



function toggleBounce() {
  if (marker.getAnimation() !== null) {
    marker.setAnimation(null);
  } else {
    marker.setAnimation(google.maps.Animation.BOUNCE);
  }
}



// In the following example, markers appear when the user clicks on the map.
// Each marker is labeled with a single alphabetical character.
/*var labels = 'AB';
var labelIndex = 0;

function initMap() {
  var bangalore = { lat: 12.97, lng: 77.59 };
  var map = new google.maps.Map(document.getElementById('map'), {
    zoom: 12,
    center: bangalore
  });

  // This event listener calls addMarker() when the map is clicked.
  google.maps.event.addListener(map, 'click', function(event) {
//	marker.setPosition(event.latLng, map);
    addMarker(event.latLng);
  });

  // Add a marker at the center of the map.
  addMarker(bangalore, map);
}

// Adds a marker to the map.
function addMarker(location, map) {
  // Add the marker at the clicked location, and add the next-available label
  // from the array of alphabetical characters.
  var marker = new google.maps.Marker({
    position: location,
    //label: labels[labelIndex++ % labels.length],
    map: map
  });
}*/


    </script>
    <script async defer
        src="http://maps.google.com/maps/api/js?callback=initMap"></script>
  </body>
</html>
